> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ClickPipe 삭제

> **이 endpoint는 베타 상태입니다.** API 계약은 안정적이며, 앞으로 호환되지 않는 변경 사항은 없을 것으로 예상됩니다. <br /><br /> 지정된 ClickPipe를 삭제합니다.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json delete /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}:
    delete:
      tags:
        - ClickPipes
      summary: ClickPipe 삭제
      description: >-
        **이 endpoint는 베타 상태입니다.** API 계약은 안정적이며, 앞으로 호환되지 않는 변경 사항은 없을 것으로
        예상됩니다. <br /><br /> 지정된 ClickPipe를 삭제합니다.
      parameters:
        - description: service를 소유한 organization의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ClickPipe를 소유한 service의 ID입니다.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: 삭제할 ClickPipe의 ID입니다.
          in: path
          name: clickPipeId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  status:
                    description: HTTP status 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP status 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 판단되는 문제로 인해 server가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````